Program TestMakePCX;
{$M 16384,0,655360}
{$S-}

uses Graph, EasyPCX;


const PathToBGI = 'C:\BP\BGI';    { Change it, if necessary. }

var   SVGAdrv16,
      SVGAdrv256 : integer;
      gd, gm     : integer;



procedure RandBarPlay;    { It draws random bars on the screen. }
  var  MaxWidth  : integer;
       MaxHeight : integer;
       ViewInfo  : ViewPortType;
       Color     : word;
       i         : byte;

  begin
     GetViewSettings(ViewInfo);
     with ViewInfo do
        begin
           MaxWidth := x2-x1;
           MaxHeight := y2-y1;
        end;

     randomize;
     for i:=1 to 10 do
        begin
           Color := Random(GetMaxColor)+1;
           SetColor(Color);
           SetFillStyle(Random(CloseDotFill)+1, Color);
           Bar3D(Random(MaxWidth), Random(MaxHeight),
                             Random(MaxWidth), Random(MaxHeight), 0, TopOff)
        end
  end; { RandBarPlay }



begin  { Main }
   if (ParamCount = 0) then
      begin
         writeln;
         writeln('Simple demo/test for MakePCX.');
         writeln('Sintax:  TESTMAKE <FileToMake>');
         halt
      end;


   SVGAdrv16:=InstallUserDriver('svga16', nil);
   if GraphResult <> grOk then
      begin
         WriteLn('Error installing SVGA16.BGI');
         Halt(1)
      end;

   SVGAdrv256:=InstallUserDriver('svga256', nil);
   if GraphResult <> grOk then
      begin
         WriteLn('Error installing SVGA256.BGI');
         Halt(1)
      end;


   gd:=VGA;  gm:=VGAhi;    { *** Change this line to test other modes *** }
   InitGraph(gd, gm, PathToBGI);
   if GraphResult<>grOK then
      begin
         writeln('Cannot init graphics!');
         halt(1)
      end;
   SetViewPort(0,0, GetMaxX, GetMaxY, ClipOn);  { Change the view port, if you want. }

   RandBarPlay;

   AssignPCX(ParamStr(1));
   MakePCX(0,0, GetMaxX, GetMaxY);
   CloseGraph;
   if PCXresult<>PCXok then
      writeln('PCX error #', PCXresult, ': ', PCXerrorMsg(PCXresult, english))
end.
